using Godot;
using System;

public partial class ChatMsg : PanelContainer
{
	[Export]
	public Label nameLabel;
	[Export]
	public Label messageLabel;
	[Export]
	public Label timeLabel;

	public void SetUserName(string name)
    {
		nameLabel.Text = name;
		nameLabel.Visible = name != null && name.Length > 0;
    }

	public void SetMessage(string msg)
    {
		messageLabel.Text = msg;
    }

	public void SetTime(string time)
    {
		timeLabel.Text = time;
    }
}
